ch.qos.logback.classic.util

## Class JNDIUtil

- java.lang.Object
- - ch.qos.logback.classic.util.JNDIUtil

    public class JNDIUtil
    extends Object

A simple utility class to create and use a JNDI Context.

Author:
  Ceki Gülcü, Sébastien Pennec

### Constructor Summary

Constructors
Constructor and Description
`JNDIUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Context` `getInitialContext()`
`static String` `lookup(Context ctx, String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JNDIUtil

    public JNDIUtil()

### Method Detail

#### getInitialContext

    public static Context getInitialContext()
                                     throws NamingException

Throws:
  `NamingException`

#### lookup

    public static String lookup(Context ctx,
                                String name)